using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Datory;
using SqlKata;

namespace GxPress.Repository.Interface.WaitHandle
{
    public interface IWaitHandleLabelRepository : IRepository
    {
        Task<int> InsertAsync(Entity.WaitHandle.WaitHandleLabel waitHandleLabel);

        Task<bool> UpdateAsync(Entity.WaitHandle.WaitHandleLabel waitHandleLabel);

        Task<bool> UpdateAsync(Query query);

        Task<bool> DeleteAsync(int id);

        Task<bool> DeleteAsync(Query query);


        Task<Entity.WaitHandle.WaitHandleLabel> GetAsync(Query query);

        Task<Entity.WaitHandle.WaitHandleLabel> GetAsync(int id);


        Task<IEnumerable<Entity.WaitHandle.WaitHandleLabel>> GetAllAsync(Query query);

        Task<int> CountAsync(Query query);
    }
}
